package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("iron_block")
public class IronBlock extends Block {
    public IronBlock() {
        super("iron_block", SpriteLoader.SPRITES.IRON_BLOCK, 15, ItemType.PICKAXE, Arrays.stream(ToolVariant.values()).toList());
    }
}
