package cz.jzitnik.game.entities.items.registry.blocks;

import cz.jzitnik.game.SpriteLoader;
import cz.jzitnik.game.annotations.BlockRegistry;
import cz.jzitnik.game.entities.Block;
import cz.jzitnik.game.entities.items.ItemType;
import cz.jzitnik.game.entities.items.ToolVariant;

import java.util.Arrays;

@BlockRegistry("diamond_ore")
public class DiamondOreBlock extends Block {
    public DiamondOreBlock() {
        super("diamond_ore", SpriteLoader.SPRITES.DIAMOND_ORE, 15, ItemType.PICKAXE, Arrays.stream(ToolVariant.values()).toList());
    }
}
